[Realtek ALC269] no sound on external speaker jack (Optiplex 980)

Bug #588031 reported by Mathieu Trudel-Lapierre on 2010-05-31
96
This bug affects 16 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
yuanjian
Nominated for Lucid by Bill Loucks
Nominated for Maverick by Bill Loucks
linux (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by Bill Loucks
Nominated for Maverick by Bill Loucks

Bug Description

On a Dell Optiplex 980, with Realtek ALC269 chipset.

Running the lucid release image, there is no sound being output in the external speaker jacks. The microphone seems to be capturing sound properly, but there is no way to play it back.

=== Current Workaround for Lucid ===

https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules

======
There is a corresponding bug #582199 for Dell Optiplex 380.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1318 F.... pulseaudio
 /dev/snd/pcmC0D0p: ubuntu 1318 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xff87c000 irq 16'
   Mixer name : 'Intel G45 DEVIBX'
   Components : 'HDA:10ec0269,102802da,00100100 HDA:80862804,102802da,00100000'
   Controls : 16
   Simple ctrls : 9
Date: Mon May 31 05:51:18 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
SelectedCard: 0 Intel HDA-Intel - HDA Intel
SourcePackage: alsa-driver
Symptom: audio
Title: [Realtek ALC269] ALSA test tone not correctly played back
dmi.bios.date: 02/16/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A01
dmi.board.name: 0D441T
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 6
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA01:bd02/16/2010:svnDellInc.:pnOptiPlex980:pvr:rvnDellInc.:rn0D441T:rvrA00:cvnDellInc.:ct6:cvr:
dmi.product.name: OptiPlex 980
dmi.sys.vendor: Dell Inc.

David Henningsson (diwic) wrote :

Hi Mathieu,
Although your hardware is slightly different, it seems to me like you're suffering from the same problem as in bug #582199 and that the workaround suggested there would apply to you too.

Changed in alsa-driver (Ubuntu):
status: New → In Progress
assignee: nobody → David Henningsson (diwic)
Kissake (kissake) wrote :

I have an Optiplex 980 as well, and experienced this problem with one caveat. For me the internal speaker seems to output the correct audio under some circumstances.

Those circumstances are: If in 'Sound Preferences' (Click on the speaker icon in the upper right-hand menu bar, and choose 'Sound Preferences') in the 'Output' tab, the 'Connector' chosen is 'Analog Speakers', I get audio out of the internal speaker. I get no audio at all with 'Analog Output' chosen.

I attempted the fix reported in Bug #589915 (a duplicate of this bug) and it caused audio to output to the rear audio output (did not test front), but (interestingly enough) did not disable / turn off / mute the internal speaker (so the internal speaker plays at the same time as the audio out)

What I have now (a method for getting audio meaningfully out of the sound card) is workable, but clearly not optimal, so I'm definitely signing up for this bug to monitor further progress. That said, Bryan (reporter / magician on Bug #589915) is a rockstar.

description: updated
description: updated
schuelaw (schuelaw) wrote :

Optiplex 980, no sound has ever emanated from this machine (or any of the 15 others in my lab). I've tried updating to alsa 1.0.23, I've tried both the fix recommended here https://bugs.launchpad.net/bugs/589915 and the slightly different fix suggested in this thread. I'm following both hoping for a fix. It would be nice to have sound on these boxes. They've been so quiet I didn't even know that they had internal speakers until I read Kissake's post!

schuelaw (schuelaw) wrote :

Just to follow up, this is a Lucid amd64 installation on a brand new Optiplex 980.

bmaupin (bmaupin) wrote :

@schuelaw:
Did you also try Kissake's fix? (go to System --> Preferences --> Sound --> Output --> Connector --> Analog Speakers)

Also, I may be mistaken, but I don't think that just because you have an Optiplex 980 means it has an internal speaker. Mine doesn't have one, for instance. The easiest way (in my opinion) to tell is to simply open it up and look. If you aren't sure what to look for, you can look on page 5 of this file:

http://www.dell.com/downloads/global/products/optix/en/optiplex-980-tech-guide.pdf

scroll down to System Board. Number 8 is the connector for the internal speaker. If nothing's connected to it, you probably don't have one (also if you don't see any speaker in there :)

gmoore777 (guy-moore) wrote :

I have same problem: no sound from headphones in front or rear jack on two Optiplex 980's with i5 chip,
64-bit LucidLynx.
I do have an internal speaker, and that does work, and it does shut off when I plug the headphones in.

These are the first 980's/i5's that i have worked with.

Optiplex 745, 755, 760, 780 with Intel duo core and lesser work fine.

schuelaw (schuelaw) wrote :

@Bryan: you're right, there are no internal speakers on these boxes, that's ok though, all the testing I've done has been with a set of external speakers plugged into the rear output jack. Periodically I've also tried the front headphone jack.

Regarding Kissake's fix: I don't have an "analog speakers" option in that drop down, only "analog output" and "analog headphones". Neither option gives me sound out of either jack. I'm running the default alsa version (1.0.21) and ran the suggested hda-verb commands at startup to no avail.

schuelaw (schuelaw) wrote :

[Solved] Just wanted to let people know that I used the script and instructions here:

               http://ubuntuforums.org/showthread.php?t=1046137

and put

               options snd-hda-intel model=auto

at the bottom of /etc/modprobe.d/alsa-base.conf and sound works now.

David Henningsson (diwic) wrote :

Just to let you know something is happening, in bug #582199 I'm working on a fix for both models and if you like you can try testing it by following the instructions here: https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/582199/comments/72

damis (dlevasseur) wrote :

Solved , excellent , many Thanks

David Henningsson (diwic) wrote :

@damis, sounds good, can you please post the output of this terminal command?
dmesg | grep -e hda -e ALSA -e HDA

Hankyone (hankyone) wrote :

Also fixed here, I attached the output you requested.

damis (dlevasseur) wrote :

[ 14.822818] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 14.822866] HDA Intel 0000:00:1b.0: irq 34 for MSI/MSI-X
[ 14.822894] HDA Intel 0000:00:1b.0: setting latency timer to 64
[ 14.957422] hda_codec: ALC269: SKU not ready 0x00000000.
[ 14.957500] hda_codec: ALC259: BIOS auto-probing.
[ 14.958059] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input6
[ 14.971583] HDA Intel 0000:01:00.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[ 14.971634] HDA Intel 0000:01:00.1: irq 35 for MSI/MSI-X
[ 14.971658] HDA Intel 0000:01:00.1: setting latency timer to 64

re-thanks can't stand working without miouzik ! ;-)

Bill Loucks (biloucks) wrote :

Seems to work for my Dell Optiplex 980. Output from dmesg | grep -e hda -e ALSA -e HDA is attached

David Henningsson (diwic) wrote :

@William: Nice! Can you check whether jack-sensing works (i e speaker mute when you plug headphones in), and that recording works for both line and mic? Thanks!

Bill Loucks (biloucks) wrote :

@DavidH: Jack-sensing works (speaker mutes when headphones are plugged in) and recording works for both line-in and microphone.

Bill Loucks (biloucks) wrote :

@DavidH: Forgot to say, my testing was with 64-bit kernel 2.6.32-23-generic, and package linux-alsa-driver-modules-2.6.32-23-generic, version 2.6.32-23.201007110500+optiplex3

Bill Loucks (biloucks) wrote :

@DavidH: Regarding this Bug 588031: How do your fixed packages linux-alsa-driver-modules relate to the official linux-backports-modules-alsa-generic packages? Do the official ones have the fixes? Or will your fixes eventually be merged into those, or some other, official packages? Eventually of course I will want to be able to remove your PPA from my repository list, and obtain your fixes from official repositories.

Haomin Wen (wen1987) wrote :

Hi,

There are a several fixes in ALSA 1.0.23. The speakers on my VAIO VPCEB begin to work after I upgrade ALSA to 1.0.23.

David Henningsson (diwic) wrote :

@Haomin Wen: Sony VAIO is completely unrelated to this bug and upgrading to Alsa 1.0.23 is not likely to help in this case - we've already checked that.

Jean-Marie Lescure (jmlescure) wrote :

Hi,
I installed yesterday Kubuntu Lucid AMD64 on a new optiplex 980. I got no sound at all. I found this bug report page and followed the instructions given by David Henningsson : I installed the linux-alsa-driver-modules from his ppa and rebooted the system. Unfortunately, the problem is the same.
Here is the output of the command "dmesg | grep -e hda -e ALSA -e HDA ":

[ 11.614183] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 11.614220] HDA Intel 0000:00:1b.0: setting latency timer to 64
[ 11.798566] hda_codec: ALC269: BIOS auto-probing.
[ 11.799035] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input6

Can somebody help me please ?

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: bill 1432 F.... pulseaudio
                      bill 1721 F.... OUTLOOK.EXE
 /dev/snd/pcmC0D0p: bill 1432 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xff87c000 irq 16'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,102802da,00100100'
   Controls : 12
   Simple ctrls : 8
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100427.1)
NonfreeKernelModules: nvidia
Package: alsa-driver (not installed)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-24.38-generic 2.6.32.15+drm33.5
Tags: lucid
Uname: Linux 2.6.32-24-generic x86_64
UserGroups:

dmi.bios.date: 02/16/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A01
dmi.board.name: 0D441T
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.type: 6
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA01:bd02/16/2010:svnDellInc.:pnOptiPlex980:pvr:rvnDellInc.:rn0D441T:rvrA01:cvnDellInc.:ct6:cvr:
dmi.product.name: OptiPlex 980
dmi.sys.vendor: Dell Inc.

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

tags: added: alc269
David Henningsson (diwic) wrote :

I believe this issue is about to be fixed. Can you please try installing http://people.canonical.com/~diwic/temp/alsa-intel-hda-optiplex-dkms_1.0.23_all.deb , reboot and report back whether it fixes your problem?

Changed in alsa-driver (Ubuntu):
status: In Progress → Fix Committed
Bill Loucks (biloucks) wrote :

@DavidH: I installed alsa-intel-hda-optiplex-dkms as you asked, but it does not work for my Optiplex 980. The front panel headphone jack has sound, but the external speaker jack is not muted when headphones are plugged into the front panel headphone jack.

If it's any help: The ONLY thing that works successfully for me on the Optiplex 980 is this, executed as root:

hda-verb /dev/snd/hwC0D0 0x21 0x701 0

David Henningsson (diwic) wrote :

@William: Can you attach alsa-info according to http://wiki.ubuntu.com/Audio/AlsaInfo and the output of this terminal command:
modinfo snd-hda-codec-realtek
thanks!

Bill Loucks (biloucks) wrote :

$ sudo modinfo snd-hda-codec-realtek
filename: /lib/modules/2.6.32-24-generic/kernel/sound/pci/hda/snd-hda-codec-realtek.ko
description: Realtek HD-audio codec
license: GPL
alias: snd-hda-codec-id:10ec*
srcversion: 187F2297A453A3E76D453EB
depends: snd-hda-codec,snd
vermagic: 2.6.32-24-generic SMP mod_unload modversions

Bill Loucks (biloucks) wrote :

I stated some things incorrectly, above. Here are the corrected statements of symptoms, for my Optiplex 980:

When I run "hda-verb /dev/snd/hwC0D0 0x21 0x701 0", front headphone jack works but external speakers emit no sound even if headphones are NOT plugged in. This is actually acceptable in my case because the machine is a work machine and the only way I want to listen to sound is with headphones, in order not to bother coworkers. But it may not be acceptable in general.

If I then run "hda-verb /dev/snd/hwC0D0 0x1b 0x701 0", BOTH headphones AND speakers work, even if headphones ARE plugged in. This is unacceptable for my aforementioned situation in a work environment, because I would want to be able to mute the speakers simply by plugging headphones into the front.

David Henningsson (diwic) wrote :

@William: the dkms module does not seem to have been activated, modinfo should have said "/lib/modules/2.6.32-24-generic/updates/dkms/snd-hda-codec-realtek.ko". Are you sure you rebooted after having installed the package? What's the output of "find / -name "snd-hda-codec-realtek.ko" 2>/dev/null" ?

Bill Loucks (biloucks) wrote :

@DavidH: I reinstalled alsa-intel-hda-optiplex-dkms, rebooted, and now the modinfo command shows correctly:

$ modinfo snd-hda-codec-realtek
filename: /lib/modules/2.6.32-24-generic/updates/dkms/snd-hda-codec-realtek.ko
description: Realtek HD-audio codec
license: GPL
alias: snd-hda-codec-id:10ec*
srcversion: DAF5799F83DD538785AD1C4
depends: snd-hda-codec,snd
vermagic: 2.6.32-24-generic SMP mod_unload modversions

I think in my previous post, I had already uninstalled alsa-intel-hda-optiplex-dkms and gone back to the hda-verb workaround before posting the output of the modinfo command.

Now for the bad news: I still have the symptoms I reported above: The front panel headphone jack has sound, but the external speaker jack is not muted when headphones are plugged into the front panel headphone jack.

Fyi, because of the failure of your dkms modules to fix the problem, I have once again uninstalled alsa-intel-hda-optiplex-dkms and gone back to the hda-verb workaround.

David Henningsson (diwic) wrote :

@William: That headphones do not mute line-out is intentional, I just asked a question about that upstream: http://mailman.alsa-project.org/pipermail/alsa-devel/2010-August/030071.html

Bill Loucks (biloucks) wrote :

@DavidH: Ahhh. I was not aware of your upstream thread. I read it and the first couple replies to it. Now that I'm aware of that thread, I have to say that I agree with the approach that does NOT disable any outputs when headphones are plugged in. That's too much automation, in my opinion. But perhaps just the opposite (automated muting of certain jacks/subsystems when devices are plugged into certain other jacks) might be preferred by laptop users, I just don't know. It can indeed be challenging to please everyone, and even perhaps impossible to please everyone regarding defaults, if defaults are applicable. In any case, if the intention is NOT to disable any other outputs in the Optiplex 980 when headphones are plugged into the front headphone jack, then I have verified that your alsa-intel-hda-optiplex-dkms package is working correctly. I hope that verification helps.

Changed in linux (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-14.20

---------------
linux (2.6.35-14.20) maverick; urgency=low

  [ Andy Whitcroft ]

  * update Vcs-Git to point to maverick repo
  * debian -- include the debian packaging in the -source package
    - LP: #608674
  * select debian source format 1.0
  * add support for building selected stages of kernel
    - LP: #603087
  * cleanup conditional dependancy handling
    - LP: #603087

  [ Upstream Kernel Changes ]

  * ALSA: hda - Handle missing NID 0x1b on ALC259 codec
    - LP: #582199, #586418, #588031
  * ALSA: hda - Handle pin NID 0x1a on ALC259/269
    - LP: #582199, #586418, #588031
  * sched: Revert nohz_ratelimit() for now
 -- Leann Ogasawara <email address hidden> Tue, 03 Aug 2010 08:46:47 -0700

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
description: updated
yuanjian (jianbone) on 2010-09-02
Changed in alsa-driver (Ubuntu):
assignee: David Henningsson (diwic) → yuanjian (jianbone)
David Henningsson (diwic) wrote :

Marking alsa-driver task as invalid since it was fixed in Linux instead.

Changed in alsa-driver (Ubuntu):
status: Fix Committed → Invalid
Luciano Panepucci (lpanebr) wrote :

I have a Dell Optiplex 980 with Lucid 64bits 2.6.32-24-generic and have the same issue with the front jack not playing audio.

The David Henningsson HDA_Analyzer on Bug #582199 (setting the Active Audio Mixer to 0x0c) works BUT on PIN 0x21.
0x21 is:
Jack Type: HP Out
Location: Front

After restart the problem persists.

Should I whait for the package linux - 2.6.35-14.20 or is there a safe Patch for me?

Fabián Rodríguez (magicfab) wrote :

I was able to reproduce this on a 32-bit Lucid install, fully updated, then I was able to reproduce the workaround by using the Alsa drivers from the PPA.

David, is it feasible to get this fix to Lucid in an SRU?

David Henningsson (diwic) wrote :

@Mathieu, the patch was applied to the upstream 2.6.32 at 2010-09-21, and there has not been a lucid-proposed release since. I don't think it's properly tagged with a buglink, but it's on its way.

The suggested workaround worked for me (https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules).

How come this bug is still not resolved in Oneiric?

Vianney

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers